Skip to main content
POST
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
locations
Add Appointment Definition Location
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/locations \
  --header 'Content-Type: application/json' \
  --data '
{
  "location_id": 123,
  "is_active": true
}
'
{
  "data": {
    "id": 123,
    "appointment_definition_id": 123,
    "location_id": 123,
    "is_active": true,
    "location": {
      "id": "<string>",
      "name": "<string>",
      "handle": "<string>"
    },
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.omneo.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

Body

application/json
location_id
integer
required
is_active
boolean

Response

AppointmentDefinitionLocation

data
AppointmentDefinitionLocation · object
required